#
# spec file for package skelcd-control-CASP
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


######################################################################
#
# IMPORTANT: Please do not change the control file or this spec file
#   in build service directly, use
#   https://github.com/yast/skelcd-control-CASP repository
#
#   See https://github.com/yast/skelcd-control-CASP/blob/master/CONTRIBUTING.md
#   for more details.
#
######################################################################

Name:           skelcd-control-CASP
# xmllint (for validation)
BuildRequires:  libxml2-tools
# RNG validation schema
BuildRequires:  yast2-installation-control >= 3.1.13.2

######################################################################
#
# Here is the list of Yast packages which are needed in the
# installation system (inst-sys) for the Yast installer
#

# SLES specific Yast packages needed in the inst-sys
# to provide the functionality needed by this control file
Requires:       yast2-registration
Requires:       yast2-theme-SLE

# Generic Yast packages needed for the installer
Requires:       autoyast2
Requires:       yast2-add-on
Requires:       yast2-buildtools
Requires:       yast2-caasp
Requires:       yast2-devtools
Requires:       yast2-fcoe-client
# For creating the AutoYast profile at the end of installation (bnc#887406)
Requires:       yast2-firewall
# instsys_cleanup
Requires:       yast2-installation >= 3.1.217.9
Requires:       yast2-iscsi-client
Requires:       yast2-kdump
Requires:       yast2-multipath
Requires:       yast2-network >= 3.1.42
Requires:       yast2-nfs-client
Requires:       yast2-ntp-client
Requires:       yast2-proxy
Requires:       yast2-services-manager
Requires:       yast2-slp
Requires:       yast2-trans-stats
Requires:       yast2-tune
Requires:       yast2-update
Requires:       yast2-users
Requires:       yast2-x11
# Ruby debugger in the inst-sys (FATE#318421)
Requires:       rubygem(%{rb_default_ruby_abi}:byebug)
# Install and enable xrdp by default (FATE#320363)
Requires:       yast2-rdp

# Architecture specific packages
#
%ifarch s390 s390x
Requires:       yast2-reipl >= 3.1.4
%endif

%ifarch %ix86 x86_64
Requires:       yast2-vm
%endif

#
######################################################################

Url:            https://github.com/yast/skelcd-control-CASP
AutoReqProv:    off
Version:        12.2.28
Release:        1.1
Summary:        CASP control file needed for installation
License:        MIT
Group:          Metapackages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2

%description
CASP control file needed for installation

%prep

%setup -n %{name}-%{version}

%check
#
# Verify syntax
#
make -C control check

%install
#
# Add control file 
#
mkdir -p $RPM_BUILD_ROOT/CD1
install -m 644 control/control.CASP.xml $RPM_BUILD_ROOT/CD1/control.xml

# install LICENSE (required by build service check)
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}
install -m 644 LICENSE $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}

%files
%defattr(644,root,root,755)
/CD1
%doc %dir %{_prefix}/share/doc/packages/%{name}
%doc %{_prefix}/share/doc/packages/%{name}/LICENSE

%changelog
* Tue Apr  4 2017 mvidner@suse.com
- bsc#1032057
  - Role names: Administration Node, Cluster Node, Plain System
  - Enable container-feeder and other services
- 12.2.28
* Tue Apr  4 2017 mvidner@suse.com
- Include yast2-caasp in the instsys (bsc#1032010).
- 12.2.27
* Thu Mar 16 2017 kanderssen@suse.com
- bsc#1029325
  - Added subvolume /var/lib/mysql without copy on write.
  - Disabled copy on write on /var/lib/kubelet and /var/lib/docker
- 12.2.26
* Mon Mar 13 2017 kanderssen@suse.com
- Added subvolume /var/lib/vmware (bsc#1028647)
- 12.2.25
* Tue Feb 28 2017 shundhammer@suse.de
- Added subvolumes /var/lib/kubelet and /var/lib/ntp (bsc#1026473)
- 12.2.24
* Thu Feb 16 2017 mfilka@suse.com
- fate#322328
  - appended (defaul) to "Administrative Dashboard" label to make
    it more obvious that such role will be used by default.
- 12.2.23
* Tue Feb  7 2017 jsrain@suse.cz
- remove installer update also from AutoYaST workflow (bsc#1024032)
- 12.2.22
* Tue Feb  7 2017 kanderssen@suse.com
- Removed additional dialog for worker role which is not used
  anymore (FATE#322328).
- 12.2.21
* Fri Feb  3 2017 igonzalezsosa@suse.com
- Remove AutoYaST second stage because it's not available in CaaSP
  (bsc#1022267)
- 12.2.20
* Thu Jan 26 2017 jreidinger@suse.com
- initial set of services adaptation for CASP roles (FATE#322328)
- 12.2.19
* Wed Jan 25 2017 mvidner@suse.com
- Use the all-in-one installation overview dialog (FATE#322328)
- 12.2.18
* Mon Jan 16 2017 igonzalezsosa@suse.com
- Set minimalistic configuration for libzypp (only required
  packages, no documentation and no multiversion)
  (FATE#321764)
- 12.2.17
* Mon Jan 16 2017 mfilka@suse.com
- fate#321739
  - use soft read-only flag for software proposal to allow
    modification in case of error
- 12.2.16
* Fri Jan 13 2017 jsrain@suse.cz
- Adjusted root filesystem minimal size (bsc#1019652)
- 12.2.15
* Fri Dec 23 2016 kanderssen@suse.com
- Added subvol for etcd without copy on write (bsc#1017145)
- 12.2.14
* Mon Dec 19 2016 shundhammer@suse.de
- Added subvol for docker, not libvirt (bsc#1015720)
- 12.2.13
* Wed Dec 14 2016 igonzalezsosa@suse.com
- Set timezone as read-only (FATE#321754).
- 12.2.12
* Wed Dec 14 2016 kanderssen@suse.com
- Added System Roles for CASP (FATE#321754).
- 12.2.11
* Wed Dec 14 2016 shundhammer@suse.de
- Added new parameter for CASP read-only Btrfs root subvolume
  (Fate#321755)
- 12.2.10
* Tue Dec 13 2016 jreidinger@suse.com
- Add keyboard and root password combined dialog to installation
  work-flow (FATE#321764)
- 12.2.9
* Mon Dec 12 2016 igonzalezsosa@suse.com
- Add /var/lib/machines to the list of default Btrfs subvolumes
  (bsc#1015071)
- 12.2.8
* Wed Dec  7 2016 schubi@suse.de
- Added default entry (clone_install_recommended_default) for
  "install_recommended" in created AutoYaST configuration file.
- Fate#321764
- 12.2.7
* Fri Dec  2 2016 schubi@suse.de
- Added CASP proposal. Cleanup proposal.
  (Fate#321754)
- 12.2.6
* Thu Dec  1 2016 mvidner@suse.com
- Simplified the installation workflow: removed these dialogs:
  license, add-ons, time, user (FATE#321754).
- Removed update+autoupgrade modes.
- 12.2.5
* Tue Nov 22 2016 igonzalezsosa@suse.com
- Remove desktop stuff as it's not needed in CASP
  (bsc#1011465) (author: Thorsten Kukuk)
- Replace var/lib/stateless by var/lib/overlay (bsc#1011466)
- 12.2.4
* Fri Nov 18 2016 lslezak@suse.cz
- Adjusted subvolumes configuration (fate#321737), disable firewall
  by default, install the CASP patterns (author: Thorsten Kukuk)
- 12.2.3
* Thu Nov 17 2016 shundhammer@suse.de
- Moved partitioning proposal out of workflow and into installation
  summary (Fate#321736)
- 12.2.2
* Thu Nov  3 2016 shundhammer@suse.de
- Added subvolumes (fate#321737)
- 12.2.1
* Fri Sep 30 2016 kukuk@suse.de
- Initial Version
